graphics/ilmbase - The NetBSD Packages Collection

High dynamic-range (HDR) image file format library and tools

Half is a class that encapsulates our 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.  It currently supports pthreads and
Windows threads.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0i386ilmbase-2.5.1.tgz
NetBSD 8.0i386ilmbase-2.5.3.tgz
NetBSD 8.0i386ilmbase-2.5.5.tgz
NetBSD 8.0powerpcilmbase-2.5.1.tgz
NetBSD 8.0powerpcilmbase-2.5.3.tgz
NetBSD 8.0powerpcilmbase-2.5.3.tgz
NetBSD 8.0x86_64ilmbase-2.5.1.tgz
NetBSD 8.0x86_64ilmbase-2.5.3.tgz
NetBSD 9.0aarch64ilmbase-2.5.5.tgz
NetBSD 9.0aarch64ilmbase-2.5.1.tgz
NetBSD 9.0aarch64ilmbase-2.5.3.tgz
NetBSD 9.0alphailmbase-2.5.5.tgz
NetBSD 9.0alphailmbase-2.5.1.tgz
NetBSD 9.0alphailmbase-2.5.3.tgz
NetBSD 9.0earmilmbase-2.5.1.tgz
NetBSD 9.0earmilmbase-2.5.3.tgz
NetBSD 9.0earmilmbase-2.5.5.tgz
NetBSD 9.0earmv6hfilmbase-2.5.5.tgz
NetBSD 9.0earmv6hfilmbase-2.5.1.tgz
NetBSD 9.0earmv6hfilmbase-2.5.3.tgz
NetBSD 9.0earmv6hfilmbase-2.5.3.tgz
NetBSD 9.0earmv7hfilmbase-2.5.5.tgz
NetBSD 9.0earmv7hfilmbase-2.5.1.tgz
NetBSD 9.0earmv7hfilmbase-2.5.3.tgz
NetBSD 9.0earmv7hfilmbase-2.5.3.tgz
NetBSD 9.0i386ilmbase-2.5.1.tgz
NetBSD 9.0i386ilmbase-2.5.3.tgz
NetBSD 9.0i386ilmbase-2.5.5.tgz
NetBSD 9.0m68kilmbase-2.5.1.tgz
NetBSD 9.0m68kilmbase-2.5.3.tgz
NetBSD 9.0mips64ebilmbase-2.5.5.tgz
NetBSD 9.0mips64ebilmbase-2.5.1.tgz
NetBSD 9.0mips64ebilmbase-2.5.3.tgz
NetBSD 9.0mipselilmbase-2.5.3.tgz
NetBSD 9.0mipselilmbase-2.5.5.tgz
NetBSD 9.0powerpcilmbase-2.5.3.tgz
NetBSD 9.0powerpcilmbase-2.5.1.tgz
NetBSD 9.0sh3elilmbase-2.5.1.tgz
NetBSD 9.0sh3elilmbase-2.5.3.tgz
NetBSD 9.0sh3elilmbase-2.5.5.tgz
NetBSD 9.0sparc64ilmbase-2.5.5.tgz
NetBSD 9.0sparc64ilmbase-2.5.1.tgz
NetBSD 9.0sparc64ilmbase-2.5.1.tgz
NetBSD 9.0sparc64ilmbase-2.5.3.tgz
NetBSD 9.0sparcilmbase-2.5.5.tgz
NetBSD 9.0sparcilmbase-2.5.1.tgz
NetBSD 9.0sparcilmbase-2.5.3.tgz
NetBSD 9.0vaxilmbase-2.5.5.tgz
NetBSD 9.0vaxilmbase-2.5.3.tgz
NetBSD 9.0x86_64ilmbase-2.5.3.tgz
NetBSD 9.0x86_64ilmbase-2.5.3.tgz
NetBSD 9.0x86_64ilmbase-2.5.4.tgz
NetBSD 9.0x86_64ilmbase-2.5.1.tgz
NetBSD 9.0x86_64ilmbase-2.5.3.tgz
NetBSD 9.0x86_64ilmbase-2.5.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.